<?php

class DataArr_Semesters {
    protected $model;
    
    public function __construct() {
        $this->model = new Model_DataArr_Semesters;
    }

    public function bySemester($SemesterID){
    	$departaments = $this->model->getSemesterInfo($SemesterID);
    	return new DataArray_Result($departamentsHandled);
    }

    public function getList()
    {
        $semesters = $this->model->getSemesters();
        $semestersHandled = array(); $i = 0;
        foreach($semesters as $value)
        {
            $semestersHandled[$i] = $value;
            $semestersHandled[$i]['Num'] = $value['Num'] == 1 ? 'Осенний' : 'Весенний';
            $i++;
        }
        return $semestersHandled;
    }
}
